datablock WheeledVehicleData(YielderVehicle)
{
	isCitiVehicle = 1;
	
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./Yielder.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 3;
   
   numMountPoints = 2;
   mountThread[0] = "sit";
   mountThread[1] = "sit";

	maxDamage = 200.00;
	destroyedLevel = 200.00;
	energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 -0.2 0.15";
   //massBox = "0 0 0";

	maxSteeringAngle = 0.7;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	//tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 8.2;         // Far distance from vehicle
	cameraOffset = 4.2;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.25;
   collisionTol = 0.1;        // Collision distance tolerance
   contactTol = 0.1;

	useEyePoint = false;	

	defaultTire	= YielderTire;
	defaultSpring	= YielderSpring;
	//flatTire	= YielderFlatTire;
	//flatSpring	= YielderFlatSpring;

   numWheels = 4;

	// Rigid Body
	mass = 300;
	density = 5.0;
	drag = 3;
	bodyFriction = 0.4;
	bodyRestitution = 0;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 10;       // Play SoftImpact Sound
	hardImpactSpeed = 15;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 2200; //4000;       // Engine power
	engineBrake = 700;         // Braking when throttle is 0
	brakeTorque = 3300;        // When brakes are applied
	maxWheelSpeed = 35;         // Engine scale by current speed / max speed

	rollForce		= 0;
	yawForce		= 0;
	pitchForce		= 0;
	rotationalDrag		= 0;

	// Advanced Steering
   steeringAutoReturn = true;
   steeringAutoReturnRate = 1;
   steeringAutoReturnMaxSpeed = 10;
   steeringUseStrafeSteering = true;
   steeringStrafeSteeringRate = 0.08;
	
	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	splash = jeepSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = VehicleFoamDropletsEmitter;
	splashEmitter[1] = VehicleFoamEmitter;
	splashEmitter[2] = VehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	//   explosion = VehicleExplosion;
	justcollided = 0;

   uiName = "Yielder";
	rideable = true;
		lookUpLimit = 0.65;
		lookDownLimit = 0.47;

	paintable = true;
   
   damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

   	handsOnVehicle = 1;

   numDmgEmitterAreas = 1;

   initialExplosionProjectile = YielderExplosionProjectile;
   initialExplosionOffset = 0;         //offset only uses a z value for now

   burnTime = 4000;

   finalExplosionProjectile = YielderFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now


   minRunOverSpeed    = 2;   //how fast you need to be going to run someone over (do damage)
   runOverDamageScale = 5;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 1.2; //how hard a person you're running over gets pushed
};


function Yieldervehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	
	
	%obj.hideNode(lhand);
	%obj.hideNode(rhand);
	%obj.hideNode(lhook);
	%obj.hideNode(rhook);
}

function YielderToplessvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	
	
	%obj.hideNode(lhand);
	%obj.hideNode(rhand);
	%obj.hideNode(lhook);
	%obj.hideNode(rhook);
}

datablock WheeledVehicleData(YielderToplessVehicle : YielderVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./YielderTopless.dts";
	emap = true;
	//- Vehicle Data -
	uiName = "Yielder Topless";
	defaultTire	= YielderToplessTire;
	finalExplosionProjectile = YielderFinalExplosionProjectile;
isYielderVehicle = 1;
};